From 0c88e03a4ae2eee4b6c2585bab6f7986b925f02d Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 28 2020 08:43:51 +0000
Subject: [PATCH 21/2232] Remove any existing link before writing symlink


---

diff --git a/src/paths.rs b/src/paths.rs
index 8e5d717..16bf12a 100644
--- a/src/paths.rs
+++ b/src/paths.rs
@@ -31,9 +31,10 @@ pub(crate) fn symlink_header(path: &Path, original: &Path) {
 
 fn try_symlink_header(path: &Path, original: &Path) -> Result<()> {
     let suffix = relative_to_parent_of_target_dir(original)?;
-    let dst = target_dir()?.join("cxxbridge").join(suffix);
+    let ref dst = target_dir()?.join("cxxbridge").join(suffix);
 
     fs::create_dir_all(dst.parent().unwrap())?;
+    let _ = fs::remove_file(dst);
     #[cfg(unix)]
     os::unix::fs::symlink(path, dst)?;
     #[cfg(windows)]

